- Qt 5.15
- Qt Virtual Keyboard
- C++ Classes
- QVirtualKeyboardInputContext
- Qt Virtual Keyboard | Commercial or GPLv3

# Obsolete Members for QVirtualKeyboardInputContext

The following members of class QVirtualKeyboardInputContext are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` capsLock : const bool
- `(obsolete)` inputItem : QObject* const
- `(obsolete)` shift : const bool

## Public Functions

`(obsolete)` QObject * | inputItem() const

## Signals

`(obsolete)` void | inputItemChanged()

## Property Documentation

### capsLock : const bool

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property holds the caps lock status.

Use capsLockActive instead.

This property is changed when the caps lock status changes.

Access functions:

bool | isCapsLockActive() const

Notifier signal:

void | capsLockActiveChanged()

### inputItem : QObject* const

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property holds the focused input item.

This property is changed when the focused input item changes.

Access functions:

QObject * | inputItem() const

Notifier signal:

void | inputItemChanged()

### shift : const bool

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property holds the shift status.

Use shiftActive instead.

This property is changed when the shift status changes.

Access functions:

bool | isShiftActive() const

Notifier signal:

void | shiftActiveChanged()